# Generated from adorn-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name adorn

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Object decoration with caching
License: MIT
URL: https://github.com/rhodee/adorn
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(yard) >= 0.8.7
# BuildRequires: rubygem(yard) < 0.9
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rack-test) >= 0.6.1
# BuildRequires: rubygem(rack-test) < 0.7
# BuildRequires: rubygem(minitest) >= 5.2
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(reek) >= 1.3
# BuildRequires: rubygem(reek) < 2
# BuildRequires: rubygem(flay) >= 2.4
# BuildRequires: rubygem(flay) < 3
# BuildRequires: rubygem(flog) >= 4.2
# BuildRequires: rubygem(flog) < 5
BuildArch: noarch

%description
A take on decorating objects based on the very valued work done by the
[Draper](http://github.com/drapergem/draper) gem. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/adorn.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.5-1
- Initial package
